#### D.6.4.11 A_L

Procedure from library `classify.lib` (see classify_lib).

Usage:
  A_L(f); f poly
  A_L(s); s string, the name of the singularity

Compute:
  the normal form of f in Arnold's list of singularities in case 1, in case 2 nothing has to be computed.

Return:
  A_L(f): compute via 'milnorcode' the class of f and return the normal form of f found in the database.
  A_L("name"): get the normal form from the database for the singularity given by its name.

Example:

    LIB "classify.lib";
    ring r=0,(a,b,c),ds;
    poly f=A_L("E[13]");
    f;
    ==> c2+a3+ab5+b8
    A_L(f);
    ==> Singularity R-equivalent to :  E[6k+1]=E[13]
    ==> normal form : c2+a3+ab5+b8
    ==> c2+a3+ab5+b8

User manual for Singular version 4.4.1, 2025, generated by texi2html.